Bug 1311920 - it is not possible to import user from AD/LDAP who has no email address
it is not possible to import user from AD/LDAP who has no email address
Status: VERIFIED
Product: Red Hat Storage Console
Classification: Red Hat
Component: core (Show other bugs)
2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2
Assigned To: Nishanth Thomas
Martin Kudlej
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-25 05:41 EST by Martin Kudlej
Modified: 2016-08-03 02:44 EDT (History)
2 users (show)

See Also:
Fixed In Version: rhscon-ceph-0.0.32-1.el7scon.x86_64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-22 05:51:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kudlej 2016-02-25 05:41:28 EST
Description of problem:
I've configured AD server and users there have no email specified.
I was not able to import users from AD because of this error:
ERROR    ldapauth.go:384 AddUser no email given
ERROR    ldapauth.go:384 AddUser no email given
ERROR    auth.go:266 addUsers Unable to create User:no email given
ERROR    auth.go:266 addUsers Unable to create User:no email given
[negroni] Completed 500 Internal Server Error in 3.038561ms


Version-Release number of selected component (if applicable):
rhscon-ceph-0.0.6-8.el7.x86_64
rhscon-core-0.0.8-7.el7.x86_64
rhscon-ui-0.0.16-1.el7.noarch

How reproducible:
100%

Expected results:
It will be able to import user from LDAP even if user has no email address specified.
Comment 2 Nishanth Thomas 2016-03-10 10:33:49 EST
1. if email is not configured, allow the user to be imported, with a warning message
2. Disable the Notifications and email configurations for the user without email
Comment 5 Timothy Asir 2016-05-05 04:06:38 EDT
Patch sent to upstream for review: https://review.gerrithub.io/#/c/275284/
Comment 6 Martin Kudlej 2016-08-03 02:44:34 EDT
Tested with
ceph-ansible-1.0.5-31.el7scon.noarch
ceph-installer-1.0.14-1.el7scon.noarch
rhscon-ceph-0.0.39-1.el7scon.x86_64
rhscon-core-0.0.39-1.el7scon.x86_64
rhscon-core-selinux-0.0.39-1.el7scon.noarch
rhscon-ui-0.0.51-1.el7scon.noarch
and it works.

Note You need to log in before you can comment on or make changes to this bug.